# Generated from shak-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name shak

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: tool for installing and configuring server applications
License: AGPL
URL: https://gitlab.com/terceiro/shak
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
shak is a tool for managing the deployment of multiple applications to
server, usually a personal one. It allows users without technical
knowledge to maintain their own servers at home or in the cloud. shak is
opininated and will setup applications based on distribution packages in
the most secure way possible.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/COPYING
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Rakefile.bundler
%{gem_instdir}/TODO.otl
%{gem_instdir}/dch
%{gem_instdir}/debuild
%{gem_instdir}/dev
%{gem_instdir}/etc
%{gem_libdir}
%{gem_instdir}/utils
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/Vagrantfile
%doc %{gem_instdir}/changelog
%{gem_instdir}/shak.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.1-1
- Initial package
